%define name 	sound-juicer
%define version 2.32.0
%define release %mkrel 1

Summary: 	Clean and lean CD ripper
Name: 		%{name}
Version:	%{version}
Release: 	%{release}
License: 	GPLv2+
Group: 		Sound
URL: 		http://www.burtonini.com/blog/computers/sound-juicer
Source0:	http://ftp.gnome.org/pub/GNOME/sources/sound-juicer/%{name}-%{version}.tar.xz
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  librsvg
BuildRequires:  libmusicbrainz-devel >= 2.0.0
BuildRequires:  libgnomeui2-devel
BuildRequires:  libglade2.0-devel
BuildRequires:  libgstreamer-plugins-base-devel >= 0.10.21
BuildRequires:  libnautilus-burn-devel >= 2.13.93
BuildRequires:  gnome-media >= 2.13.7
BuildRequires:  libcdio-devel
BuildRequires:  scrollkeeper
BuildRequires:  hal-devel
BuildRequires:  libcddb-slave2-devel
BuildRequires:  gnome-doc-utils
BuildRequires:  perl-XML-Parser
BuildRequires:  taglib-devel
BuildRequires:  libxslt-proc
BuildRequires:  libexpat1-devel
BuildRequires:  intltool
BuildRequires:  gnome-common
BuildRequires:  brasero-devel
Requires(post): scrollkeeper
Requires(postun): scrollkeeper
Requires: gstreamer0.10-plugins-base  >= 0.10.21
Requires: gstreamer0.10-plugins-good
Requires: gstreamer0.10-gnomevfs
Requires: gstreamer0.10-cdparanoia
Requires: gstreamer0.10-vorbis
Requires: gstreamer0.10-flac
Requires: gstreamer0.10-lame
Requires: libexpat1
Requires:   glibc >= 2.10.1
Requires:   libstdc++6 >= 4.4.1
Obsoletes:  %name < %version

%description
This is Sound Juicer, a CD ripping tool using GTK+ and GStreamer.

%prep
%setup -q

%build
%configure2_5x --disable-scrollkeeper 

%make

%install
rm -rf $RPM_BUILD_ROOT

GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std 

%find_lang %{name} --with-gnome

# icons
mkdir -p $RPM_BUILD_ROOT{%_liconsdir,%_iconsdir,%_miconsdir}
rsvg -w 48 -h 48 data/sound-juicer.svg $RPM_BUILD_ROOT%{_liconsdir}/sound-juicer.png
rsvg -w 32 -h 32 data/sound-juicer.svg $RPM_BUILD_ROOT%{_iconsdir}/sound-juicer.png
rsvg -w 16 -h 16 data/sound-juicer.svg $RPM_BUILD_ROOT%{_miconsdir}/sound-juicer.png

for omf in %buildroot%_datadir/omf/*/*-{??,??_??}.omf;do
echo "%lang($(basename $omf|sed -e s/.*-// -e s/.omf//)) $(echo $omf|sed s!%buildroot!!)" >> %name.lang
done


%clean
rm -rf $RPM_BUILD_ROOT

%post
%post_install_gconf_schemas %name
%{update_menus}
%update_scrollkeeper

%preun
%preun_uninstall_gconf_schemas %name

%postun
%{clean_menus}
%clean_scrollkeeper


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README ChangeLog
%{_sysconfdir}/gconf/schemas/sound-juicer.schemas
%{_bindir}/*
%{_datadir}/applications/*
%{_datadir}/sound-juicer
%_datadir/icons/hicolor/*/apps/sound-juicer.*
%_mandir/man1/%name.1*
%{_liconsdir}/*.png
%{_iconsdir}/*.png
%{_miconsdir}/*.png
%dir %{_datadir}/omf/*
%{_datadir}/omf/*/*-C.omf


%changelog
* Thu Sep 30 2010 Texstar <texstar at gmail.com> 2.32.0-1pclos2010
- 2.32.0

* Fri Apr 02 2010 Texstar <texstar at gmail.com> 2.28.2-1pclos2010
- 2.28.2

* Fri Jan 08 2010 Texstar <texstar at gmail.com> 2.28.1-2pclos2010
- rebuild

* Tue Dec 02 2009 Texstar <texstar at gmail.com> 2.28.1-1pclos2010
- 2.28.1

* Sat Oct 10 2009 Texstar <texstar at gmail.com> 2.28.0-2pclos2010
- system rebuild

* Wed Oct 07 2009 slick50 <lxgator@gmail.com> 2.28.0-1pclos2010
- 2.28.0
- trim specfile

